<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="bookingServices">
            <h2><span>Booking Services</span> {{ bookingServices.id }}</h2>

            <hr>

            <jhi-alert-error></jhi-alert-error>

            <dl class="row-md jh-entity-details">
                <dt><span>Shop Category Id</span></dt>
                <dd>
                    <span>{{ bookingServices.shopCategoryId }}</span>
                </dd>
                <dt><span>Shop Id</span></dt>
                <dd>
                    <span>{{ bookingServices.shopId }}</span>
                </dd>
                <dt><span>Remark</span></dt>
                <dd>
                    <span>{{ bookingServices.remark }}</span>
                </dd>
                <dt><span>Is Active</span></dt>
                <dd>
                    <span>{{ bookingServices.isActive }}</span>
                </dd>
                <dt><span>Service Name</span></dt>
                <dd>
                    <span>{{ bookingServices.serviceName }}</span>
                </dd>
                <dt><span>Service Id</span></dt>
                <dd>
                    <span>{{ bookingServices.serviceId }}</span>
                </dd>
                <dt><span>From Latitude</span></dt>
                <dd>
                    <span>{{ bookingServices.fromLatitude }}</span>
                </dd>
                <dt><span>From Longitude</span></dt>
                <dd>
                    <span>{{ bookingServices.fromLongitude }}</span>
                </dd>
                <dt><span>To Latitude</span></dt>
                <dd>
                    <span>{{ bookingServices.toLatitude }}</span>
                </dd>
                <dt><span>To Longitude</span></dt>
                <dd>
                    <span>{{ bookingServices.toLongitude }}</span>
                </dd>
                <dt><span>Created By</span></dt>
                <dd>
                    <span>{{ bookingServices.createdBy }}</span>
                </dd>
                <dt><span>Updated By</span></dt>
                <dd>
                    <span>{{ bookingServices.updatedBy }}</span>
                </dd>
                <dt><span>Created At</span></dt>
                <dd>
                    <span>{{ bookingServices.createdAt }}</span>
                </dd>
                <dt><span>Updated At</span></dt>
                <dd>
                    <span>{{ bookingServices.updatedAt }}</span>
                </dd>
                <dt><span>Booking Status Id</span></dt>
                <dd>
                    <div *ngIf="bookingServices.bookingStatusId">
                        <a [routerLink]="['/booking-status', bookingServices.bookingStatusId?.id, 'view']">{{ bookingServices.bookingStatusId?.id }}</a>
                    </div>
                </dd>
                <dt><span>Booking</span></dt>
                <dd>
                    <div *ngIf="bookingServices.booking">
                        <a [routerLink]="['/booking', bookingServices.booking?.id, 'view']">{{ bookingServices.booking?.id }}</a>
                    </div>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/booking-services', bookingServices.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
            </button>
        </div>
    </div>
</div>
